@charset "UTF-8";

:root {
  --width-raw:    1280;		/* 画像オリジナル幅 */
  --width-cooked:  750;		/* 画像表示幅 */
  --height-frame-header: 80;	/* ヘッダ高さ */
}

.text {
  color: white;
  text-align: left;
}

/* --- 背景 --- */
.wrapper {
  z-index: 0;	/* 全体より下 */

  background-image: url("../../../images/dej/2026/background.gif");
  background-size: cover;
  background-position: center top;
  background-repeat: no-repeat;
  background-attachment: fixed;

  min-height: 100vh; /* コンテンツが短くても背景が出るように */
}

/* ヘッダ */
#frame-header {
  width: 100%;
  display: flex; 
  justify-content: flex-end; 
  align-items: center;

  box-sizing: border-box;
  padding-right: 20px;

  position: fixed;
  top: 0;
  background-color: black;
  z-index: 3;
}
#header-logo {
  --width-header-logo: 197;

  visibility: hidden;			/* 最初は消去 */
  transform: translateY(-100%);	/* スクロールするとアニメーションで出現 */
  opacity: 0;
  transition: transform 0.3s ease, opacity 0.3s ease, visibility 0.3s ease;
}
#header-logo.is-show {
  transform: translateY(0);
  opacity: 1;
  visibility: visible;
}
#frame-menu {
    flex: 1; /* ロゴとENTRYの間の余白を全て使う */

    display: flex;
    justify-content: flex-end;
    align-items: center;
}
.menu {
  align-items: center;
}
#menu-about {
  --width-menu-about: 105;
}
#menu-schedule {
  --width-menu-schedule : 140;
}
#menu-qualify {
  --width-menu-qualify: 95;
}
#menu-news {
  --width-menu-news : 95;
}
#menu-archive {
  --width-menu-archive: 125;
}
#menu-contact {
  --width-menu-contact: 120;
}
#button-entry {
  --width-button-entry: 159;
}
#frame-header .buttons {
  position: initial !important;			/* flexを使用するためリセット */
}

/* --- */


/* キービジュアル */
#frame-kv {
}

.kv {
  width: 100vw;
  display: block;
}

/* about */
#frame-about {
  position: relative;
}
.about {
  --width-about: 1280;
}
.text-about {
  --width-text-about: 1280;
  --hight-text-about: 100;
  --top-text-about: 490;

  position: absolute;
  margin: 0 auto;
  left: 0;
  right: 0;

  text-align: center;
  line-height: 180%;
border: solid yellow 0px;

}

/* スケジュール */
#frame-schedule {
}
.schedule {
  --width-schedule: 1280;
}

/* 一回戦 */
#frame-qualify {
  position: relative;
}
.qualify {
  --width-qualify: 1280;
}
#button-qualify {
  --width-button-qualify: 356;
  --offset-button-qualify: 160;

  bottom: 6%;
}
#button-join {
  --width-button-join: 356;
  --offset-button-join: 170;

  bottom: 6%;
}

/* ニュース */
#frame-news {
}
.news {
  --width-news: 1280;
}
.button-sns {
  --width-button-sns: 167;

  bottom: 20%;
}
.text-news {
  --width-text-news: 630;
  --height-text-news: 300;
  --offset-text-news: (-520);
  --top-text-news: 300;

  position: absolute;
  overflow-y: scroll;

}
#button-x {
 --offset-button-x: 220;
}
#button-instagram {
 --offset-button-instagram: 420;
}

/* アーカイブ */
#frame-archive {
  position: relative;
}
.archive {
  --width-archive: 1280;
}
.button-youtube {
  --width-button-youtube: 305;

  bottom: 10%;
}
#button-final2022 {
 --offset-button-final2022: 250;
}
#button-final2023 {
  margin: 0 auto;
  left: 0;
  right: 0;
}
#button-final2025 {
 --offset-button-final2025: 240;
}

/* フッタ */
#frame-footer {
}
.footer {
  --width-footer: 1280;
}

